Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.listeners.config.xbeanmodel
Interface FsListenerDocument.FsListener

All Superinterfaces:
  AbstractScheduledListener, Listener, org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource

All Known Implementing Classes:
  FsListenerDocumentImpl.FsListenerImpl

Enclosing interface:
  FsListenerDocument

    public static interface FsListenerDocument.FsListener

extends AbstractScheduledListener

An XML fs-listener(@http://anonsvn.labs.jboss.com/labs/jbossesb/trunk/product/etc/schemas/xml/jbossesb-1.0.1.xsd). This is a complex type.

Nested Class Summary
`static class` | `FsListenerDocument.FsListener.Factory` A factory class with static methods for creating instances of this type.

Field Summary
`static org.apache.xmlbeans.SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`FsMessageFilterDocument.FsMessageFilter` | `addNewFsMessageFilter()` Appends and returns a new empty "fs-message-filter" element
`FsMessageFilterDocument.FsMessageFilter` | `getFsMessageFilter()` Gets the "fs-message-filter" element
`boolean` | `isSetFsMessageFilter()` True if has "fs-message-filter" element
`void` | `setFsMessageFilter(FsMessageFilterDocument.FsMessageFilter fsMessageFilter)` Sets the "fs-message-filter" element
`void` | `unsetFsMessageFilter()` Unsets the "fs-message-filter" element

Methods inherited from interface org.jboss.soa.esb.listeners.config.xbeanmodel.AbstractScheduledListener
`getPollFrequencySeconds, getScheduleFrequency, getScheduleidref, isSetPollFrequencySeconds, isSetScheduleFrequency, isSetScheduleidref, setPollFrequencySeconds, setScheduleFrequency, setScheduleidref, unsetPollFrequencySeconds, unsetScheduleFrequency, unsetScheduleidref, xgetPollFrequencySeconds, xgetScheduleFrequency, xgetScheduleidref, xsetPollFrequencySeconds, xsetScheduleFrequency, xsetScheduleidref`

Methods inherited from interface org.jboss.soa.esb.listeners.config.xbeanmodel.Listener
`addNewProperty, getBusidref, getIsGateway, getMaxThreads, getName, getPropertyArray, getPropertyArray, getPropertyList, insertNewProperty, isSetBusidref, isSetIsGateway, isSetMaxThreads, removeProperty, setBusidref, setIsGateway, setMaxThreads, setName, setPropertyArray, setPropertyArray, sizeOfPropertyArray, unsetBusidref, unsetIsGateway, unsetMaxThreads, xgetBusidref, xgetIsGateway, xgetMaxThreads, xgetName, xsetBusidref, xsetIsGateway, xsetMaxThreads, xsetName`

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final org.apache.xmlbeans.SchemaType type

Method Detail

### getFsMessageFilter

    FsMessageFilterDocument.FsMessageFilter getFsMessageFilter()

  Gets the "fs-message-filter" element

### isSetFsMessageFilter

    boolean isSetFsMessageFilter()

  True if has "fs-message-filter" element

### setFsMessageFilter

    void setFsMessageFilter(FsMessageFilterDocument.FsMessageFilter fsMessageFilter)

  Sets the "fs-message-filter" element

### addNewFsMessageFilter

    FsMessageFilterDocument.FsMessageFilter addNewFsMessageFilter()

  Appends and returns a new empty "fs-message-filter" element

### unsetFsMessageFilter

    void unsetFsMessageFilter()

  Unsets the "fs-message-filter" element

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD